APT-GET(8)

NAME
apt-get - utilidad de manejo de paquetes APT -- interfaz en línea de ordenes.

SYNOPSIS

apt-get [ -hvs ] [ -o=cadena de configuración ] [ -c=fichero ] { update | upgrade | dselect-upgrade | install paquete ... | remove paquete ... | source paquete ... | build-dep paquete ... | check | clean | autoclean }

DESCRIPCIóN

apt-get es la herramienta en línea de órdenes usada para el manejo de paquetes, también es la herramienta usada por otras que dependen de la biblioteca APT. Hay varias interfaces disponibles, como dselect(8), aptitude, synaptic, gnome-apt and wajig.

Se debe proporcionar una de las siguientes órdenes a menos que se den las opciones -h, o --help.

update
    update se usa para sincronizar el índice de paquetes respecto a sus fuentes. Los índices de paquetes disponibles se obtienen de los lugares especificados en /etc/apt/sources.list. Por ejemplo, cuando se usa un archivo de Debian, esta orden descarga y analiza los ficheros Packages.gz, de tal forma que la información acerca de nuevos paquetes pasa a estar disponible. Siempre se debe realizar un update antes de un upgrade o un dist-upgrade. Se debe tener en cuenta que el indicador de progreso será incorrecto, ya que el tamaño de los próximos ficheros con información sobre paquetes es desconocido hasta el momento de su descarga.

upgrade
    upgrade se usa para instalar la versión más nueva de todos los paquetes instalados en el sistema provenientes de alguna de las fuentes listadas en /etc/apt/sources.list. Los paquetes instalados con una nueva versión disponible son descargados y actualizados, bajo ninguna circunstancia se desinstalarán paquetes, o se instalarán paquetes nuevos. Las nuevas versiones de programas instalados que no puedan ser actualizados sin cambiar el estado de instalación de otros paquetes no se instalarán, manteniéndose la versión actual. Debe realizarse un update antes para que apt-get sepa cuales son las versiones disponibles de los paquetes.

dselect-upgrade
    dselect-upgrade se usa junto con el tradicional administrador de paquetes de Debian GNU/Linux, dselect(8). dselect-upgrade recoge los cambios hechos al campo de Status de los paquetes disponibles por dselect(8), y realiza las acciones necesarias para que los cambios se lleven a cabo (por ejemplo, borrar paquetes antiguos e instalar las nuevas versiones).

dist-upgrade
    dist-upgrade, además de realizar las acciones de upgrade, maneja inteligentemente los cambios de dependencias debidos a nuevas versiones de paquetes, apt-get tiene un sofisticado sistema de resolución de conflictos, si es necesario tratará de actualizar los paquetes más importantes a costa de los menos importantes. El fichero /etc/apt/sources.list contiene la lista de sitios de los cuales se descargan los ficheros. También puede consultar apt_preferences(5) si quiere modificar este comportamiento para paquetes individuales.

install
    install instala los paquetes que siguen a la palabra install. Cada nombre de paquete no es el nombre completo del paquete junto con la versión de Debian, sino sólo el nombre del paquete (por ejemplo, en un sistema Debian GNU/Linux, el argumento sería libc6, no libc6_1.9.6-2.deb). Se obtendrán e instalarán todos los paquetes especificados para la instalación, así como los requeridos por estos. El fichero /etc/apt/sources.list se usa para localizar los paquetes. Si al nombre del paquete se le antepone un guión (sin ningún espacio), el paquete será desinstalado en vez de instalado. Similarmente el signo del la suma se puede usar para especificar que un paquete debe de ser instalado. Esta últimas características se pueden usar para modificar decisiones tomadas por el sistema de resolución de conflictos de apt-get.

    Se puede seleccionar una versión especifica de un paquete poniendo a continuación del paquete un igual ('=') seguido de la versión deseada. Alternativamente se puede seleccionar una distribución especifica poniendo a continuación del nombre del paquete una barra ('/') seguido de la versión de la distribución o su nombre en el archivo de Debian (stable, testing, unstable).

    Cualquiera de estos dos métodos de selección puede instalar una versión anterior de los paquetes y debe ser usada con cuidado.

    Finalmente, apt_preferences(5) permite modificar las normas de selección para paquetes individuales.

    Si ningún paquete coincide con la expresión que se ha dado y la expresión contiene un '.', '?' o un '*', entonces se asume que es una expresión regular de acuerdo con el estándar POSIX, y es aplicada a todos los nombres de paquetes de la base de datos. Cualquier coincidencia se instala (o desinstala). Tenga en cuenta que la comparación se hace en subcadenas, de manera que 'lo.*' es válido para 'how-lo' y para 'lowest'. Si este no es el comportamiento deseado se debe anclar la expresión regular con un '^' o un '$', o bien crear una expresión regular más específica.

remove
    remove se comporta del mismo modo que install con la diferencia de que desinstala los paquetes en vez de instalarlos. Si un signo más precede al nombre del paquete (sin ningún espacio en blanco entre los dos), el paquete en cuestión será instalado en vez de eliminado.

source
    source hace que apt-get descargue paquetes fuente. APT examinará los paquetes disponibles para decidir que paquete fuente cogerá. Entones descargará en el directorio actual la versión más reciente del paquete fuente. Los paquetes fuente se obtienen de sitios distintos a los binarios, estos sitios se especifican mediante líneas del tipo deb-src en el fichero sources.list(5). Esto puede provocar que la versión que descargará del paquete fuente no coincida con la del paquete binario que tenga instalado o pueda instalar. Si se especifica el argumento --compile entonces el paquete se compilará usando dpkg-buildpackage para producir un .deb binario, si se especifica el argumento --download-only entonces el paquete fuente no se desempaquetará.

    Una versión especifica de un paquete fuente puede requerirse poniendo un signo igual ('=') seguido de la versión a descargar después del nombre del paquete. Es un mecanismo similar al que se usa con los paquetes binarios. Esto permite seleccionar exactamente el nombre y versión del paquete fuente, activando implícitamente la opción APT::Get::Only-Source.

    Dese cuenta que los paquetes fuentes no se tratan como los binarios, sólo existen en el directorio actual, es parecido a descargar los paquetes tar comprimidos con las fuentes.

build-dep
    build-dep hace que apt-get instale/desinstale paquetes en un intento de satisfacer las dependencias de compilación de un paquete fuente. Por el momento si hay varios paquetes que satisfacen la misma dependencia, apt-get elige uno aleatoriamente.

check
    check es una herramienta de diagnóstico. Actualiza la caché de paquetes (/var/cache/apt/pkgcache.bin), vuelve a crear un nuevo árbol de dependencias y busca dependencias imposibles de resolver.

clean
    clean borra totalmente el repositorio local que contiene los ficheros .deb descargados. Borra todo excepto el fichero de bloqueo de los directorios /var/cache/apt/archives/ y /var/cache/apt/archives/partial/. Cuando APT se usa como un método de dselect(8), clean se ejecuta automáticamente. Si usted no usa dselect es probable que desee ejecutar apt-get clean de vez en cuando para liberar algo de espacio en disco.

autoclean
    Al igual que clean, autoclean borra el repositorio local de paquetes descargados. La diferencia reside en que sólo borrará aquellos paquetes que ya no pueden ser descargados, o son claramente inservibles. Esto permite mantener la caché durante largos periodos de tiempo sin que aumente su tamaño sin control. Si la opción de configuración APT::Clean-Installed está desactivada impedirá que se borren paquetes instalados.

OPCIONES

Todas las opciones de línea de órdenes pueden ser especificadas mediante el fichero de configuración, en la descripción de cada opción se indica la opción de configuración que hay que modificar. Para opciones booleanas puedes modificar el fichero de configuración usando cosas parecidas a -f-,--no-f, -f=no y alguna que otra variante.

-d

--download-only
    Sólo descarga los ficheros con los paquetes, no los desempaqueta ni los instala. Opción de Configuración: APT::Get::Download-Only.

-f

--fix-broken
    Intenta arreglar un sistema con dependencias actualmente rotas. Esta opción usada conjuntamente con install/remove, puede omitir cualquier paquete para permitir a APT deducir una posible solución. Cualquier paquete especificado debe de corregir totalmente el problema. La opción es a veces necesaria cuando se ejecuta apt por primera vez. APT no permite que existan dependencias de paquetes rotas en un sistema. Es posible que la estructura de dependencias de un sistema esté tan deteriorada que requiera una intervención manual (usualmente ejecutar dselect(8) o dpkg --remove para desinstalar alguno de los paquetes que crean el conflicto). El uso de esta opción junto con -m puede producir un error en algunas situaciones. Opción de Configuración: APT::Get::Fix-Broken.

-m

--ignore-missing

--fix-missing
    No tiene en cuenta los paquetes que no se hayan podido descargar o que después de la descarga se encuentren dañados, estos paquetes se tratan como no modificables y se continúa con el resto. Usar esta opción junto con -f puede producir un error en algunas situaciones. Si un paquete se selecciona para su normal instalación (particularmente si se hace mediante la línea de órdenes) y no puede ser descargado, será tratado como no modificable. Opción de Configuración: APT::Get::Fix-Missing.

--no-download
    Deshabilita la descarga de paquetes. Usada junto con --ignore-missing es la mejor manera de forzar a APT a usar solo los .debs que ya se han descargado con anterioridad. Opción de Configuración: APT::Get::Download.

-q

--quiet
    Silencioso. Produce una salida adecuada para un registro, omitiendo los indicadores de progreso. Si se especifican más q's (hasta un máximo de 2) se conseguirá una salida más silenciosa. También es posible usar -q=# para seleccionar el nivel de silenciosidad, no teniendo en cuenta el fichero de configuración. Dese cuenta que un nivel silencioso de 2 implica -y, por lo tanto nunca se deberá usar -qq sin añadir un modificador para que no realice ninguna acción como -d, --print-uris o -s para evitar que APT realice algo que usted no espera. Opción de Configuración: quiet.

-s

--simulate

--just-print

--dry-run

--recon

--no-act
    No realiza ninguna acción; simula lo que hubiese ocurrido, pero sin hacer cambios reales en el sistema. Opción de Configuración: APT::Get::Simulate.

    La simulación muestra por pantalla una serie de líneas, cada una de las cuales representa una operación de dpkg, configurar (Conf), desinstalar (Remv), o desempaquetar (Inst). Un par de corchetes indican paquetes con dependencias rotas, si no hay nada entre ellos significa que no hay ningún problema (poco probable).

-y

--yes

--assume-yes
    Asume una respuesta afirmativa a todas las preguntas, de esta forma apt-get se ejecuta sin necesidad de intervención posterior para tomar decisiones. apt-get terminará sin hacer nada si se produjese una situación no deseada, como cambiar un paquete puesto en hold (un paquete puesto en hold es un paquete que no debe de ser modificado) o desinstalar un paquete esencial. Opción de Configuración: APT::Get::Assume-Yes.

-u

--show-upgraded
    Muestra los paquetes que se van a actualizar. Opción de Configuración: APT::Get::Show-Upgraded.

-V

--verbose-versions
    Muestra la versión completa para los paquetes actualizados e instalados. Opción de configuración: APT::Get::Show-Versions.

-b

--compile

--build
    Descarga las fuentes y luego las compila. Opción de Configuración: APT::Get::Compile.

--ignore-hold
    No respeta los paquetes retenidos. Esto puede ser interesante junto con dist-upgrade para no tener en cuenta un gran número de paquetes en hold. Opción de Configuración: APT::Ignore-Hold.

--no-upgrade
    No actualiza los paquetes. Cuando se usa juntamente con install, no-upgrade evita que se actualicen los paquetes listados en la línea de órdenes si ya están previamente instalados. Opción de Configuración: APT::Get::Upgrade.

--force-yes
    Supone una respuesta afirmativa a todas las preguntas. Ésta es una opción peligrosa que hará que apt-get continúe incluso si va a realizar algo potencialmente peligros. No se debe usar excepto en situaciones muy especiales. ¡force-yes puede destruir su sistema! Opción de Configuración: APT::Get::force-yes.

--print-uris
    Muestra las URIs de los ficheros a instalar en vez de descargarlos. Cada URI tiene la dirección de donde se obtendrá el paquete, el fichero de destino, su tamaño y la suma de control md5 esperada. Dese cuenta que el nombre de fichero no siempre coincide con el nombre de fichero en el sitio remoto. Esto también funciona con las ordenes source y update. Cuando se usa con la orden update, no se incluyen ni la suma de control MD5 ni el tamaño, y es tarea del usuario descomprimir cualquier fichero comprimido. Opción de Configuración: APT::Get::Print-URIs.

--purge
    Borra los archivos de configuración de todos los paquetes que sean desinstalados. Se mostrará un asterisco '*' a continuación de los paquetes que se encuentren en esta situación. Opción de Configuración: APT::Get::Purge.

--reinstall
    Reinstala los paquetes ya instalados, incluso si son la última versión disponible del paquete. Opción de Configuración: APT::Get::ReInstall.

--list-cleanup
    Esta opción está activada por omisión, si quiere desactivarla use --no-list-cleanup. Cuando está activada apt-get administra automáticamente los contenidos de /var/lib/apt/lists para asegurarse de que se borran los ficheros obsoletos. La única razón para desactivarla es un cambio frecuente en la lista de repositorios que usa apt-get. Opción de Configuración: APT::Get::List-Cleanup.

-t

--target-release

--default-release
    Esta opción permite tener un control sobre la versión de la distribución desde la cual se instalan los paquetes de manera sencilla, creando un pin de 990 usando la cadena de caracteres proporcionada que hace referencia a la distribución. Algunos ejemplos comunes pueden ser -t '2.1*' o -t unstable. Opción de configuración: APT::Default-Release. Vea además la página del manual de apt_preferences(5).

--trivial-only
    Sólo realiza acciones consideradas triviales. Esta opción está relacionada con --assume-yes, donde --assume-yes responderá afirmativamente a cualquier pregunta, --trivial-only responderá negativamente. Opción de configuración: APT::Get::Trivial-Only.

--no-remove
    Si algún paquete va a ser desinstalado apt-get termina inmediatamente. Opción de Configuración: APT::Get::Remove

--only-source
    Sólo tiene sentido para la orden source. Indica que los nombres de paquetes fuente dados no deben ser tratados a través de la tabla de binarios. Esto significa que si se especifica esta opción, la orden source sólo aceptará como argumentos nombres de paquetes fuente, en vez de aceptar nombres de paquetes binarios y luego buscar el nombre del paquete fuente correspondiente. Opción de Configuración: APT::Get::Only-Source

--diff-only

--tar-only
    Descarga sólo el fichero diff o tar del archivo fuente. Opciones de Configuración: APT::Get::Diff-Only y APT::Get::Tar-Only

--arch-only
    Procesa sólo las dependencias de construcción dependientes de la arquitectura. Opción de configuración: APT::Get::Arch-Only

-h

--help
    Muestra un breve resumen del modo de uso.

-v

--version
    Muestra la versión del programa.

-c

--config-file
    Especifica el fichero de configuración a usar. El programa leerá el fichero de configuración por omisión y luego este otro. Lea apt.conf(5) para más información acerca de la sintaxis.

-o

--option
    Establece una opción de configuración. La sintaxis es -o Foo::Bar=bar.

FICHEROS

/etc/apt/sources.list
    Fichero que contiene los sitios de donde se obtienen los paquetes. Opción de Configuración: Dir::Etc::SourceList.

/etc/apt/apt.conf
    Fichero de configuración de APT. Opción de Configuración: Dir::Etc::Main.

/etc/apt/apt.conf.d/
    Directorio con fragmentos de ficheros de configuración APT. Opción de Configuración: Dir::Etc::Parts.

/etc/apt/preferences
    Fichero de configuración que contiene preferencias sobre versiones de paquetes, por ejemplo, puede especificar que un cierto paquete se descargue de un sitio diferente, o de una distribución con una versión diferente. Opción de Configuración: Dir::Etc::Preferences.

/var/cache/apt/archives/
    Directorio donde se guardan los paquetes obtenidos. Opción de Configuración: Dir::Cache::Archives.

/var/cache/apt/archives/partial/
    Directorio donde se guardan los ficheros en tránsito. Opción de Configuración: Dir::Cache::Archives (Implica partial).

/var/lib/apt/lists/
    Directorio donde se almacena información de estado por cada sitio especificado en sources.list(5) Opción de Configuración: Dir::State::Lists.

/var/lib/apt/lists/partial/
    Directorio de almacenamiento para la información de estado en tránsito. Opción de Configuración: Dir::State::Lists (Implica partial).

VEA ADEMáS

apt-cache(8), apt-cdrom(8), dpkg(8), dselect(8), sources.list(5), apt.conf(5), apt-config(8), la guía de usuario de APT en /usr/share/doc/apt/, apt_preferences(5), el Cómo de APT.

DIAGNóSTICOS

apt-get devuelve cero en operaciones satisfactorias, 100 en caso de error.

FALLOS

Vea la página de fallos de APT <URL:http://bugs.debian.org/src:apt>. Si desea avisar de un fallo en APT, vea /usr/share/doc/debian/bug-reporting.txt o la orden reportbug(1).

AUTOR

APT fue escrito por el equipo de APT <apt@packages.debian.org>.

TRADUCTOR

Traducción de Rubén Porras Campo <debian-l10n-spanish@lists.debian.org>